ambari-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Morello <michael.more...@gmail.com>
Subject Re: HDP 2.3 not available for rolling upgrade
Date Fri, 31 Jul 2015 06:29:59 GMT
ambari=> SELECT repo_version_id, display_name, stack_id from repo_version;
 repo_version_id |   display_name   | stack_id
-----------------+------------------+----------
               1 | HDP-2.2.6.0-2800 |        3
               2 | HDP-2.3.0.0      |        2

ambari=> select * from cluster_version;
 id | repo_version_id | cluster_id |  state  |  start_time   |   end_time
 | user_name
----+-----------------+------------+---------+---------------+---------------+------------
  1 |               1 |          2 | CURRENT | 1434529943055 |
1434531013871 | _anonymous

ambari=> select * from stack where stack_id=2 or stack_id=3;
 stack_id | stack_name | stack_version
----------+------------+---------------
        2 | HDP        | 2.3
        3 | HDP        | 2.2


DIsplayOlderVersions does not help.

FYI it seems that the UI do a GET on
http://ambari:8080/api/v1/stacks/HDP/versions/2.2/compatible_repository_versions?fields=*,operating_systems/*,operating_systems/repositories/*&_=1437992120829,
it only returns information about the current HDP-2.2 stack.
But a GET on
http://ambarir:8080/api/v1/stacks/HDP/versions/2.3/compatible_repository_versions?fields=*,operating_systems/*,operating_systems/repositories/*&_=1437992120829
print information about the HDP 2.3 stack.

Thank you

2015-07-30 19:50 GMT+02:00 Alejandro Fernandez <afernandez@hortonworks.com>:

> Can you show the result of the following,
>
> SELECT repo_version_id, display_name, stack_name from repo_version;
> SELECT * from cluster_version;
>
> Also, navigate to http://server:8080/#/experimental and try setting
> "DisplayOlderVersions" to true, and Save.
>
> Thanks,
> Alejandro
>
> From: Michael Morello <michael.morello@gmail.com>
> Reply-To: "user@ambari.apache.org" <user@ambari.apache.org>
> Date: Thursday, July 30, 2015 at 3:30 AM
> To: "user@ambari.apache.org" <user@ambari.apache.org>
> Subject: HDP 2.3 not available for rolling upgrade
>
> Hi,
>
> I'm trying to upgrade from HDP 2.2 to HDP 2.3 with Ambari 2.1 but the new
> stack is not available on the "Stack and Version" page.
>
> Interestingly it is exactly the issue AMBARI-10603 is supposed to fix.
>
> I'm using Ambari 2.1.0-1470, Centos 6, the cluster is secured with
> Kerberos and I have setup a rpm repository as described in
> http://docs.hortonworks.com/HDPDocuments/Ambari-2.1.0.0/bk_Installing_HDP_AMB/content/_setting_up_a_local_repository_with_no_internet_access.html
>
> Tell me if you need more information.
>
> --
Michael

Mime
View raw message